config/routes.rb
Rails.application.routes.draw do

  root to: 'issues#index', as: 'index'

  post '/events', to: 'issues#create', as: 'create_event'

  get '/issues/events', to: 'issues#search_issue', as: 'search_issue'
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/issue.rb
class Issue < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/issues_controller.rb
class IssuesController < ApplicationController

  skip_before_action :verify_authenticity_token

  def index
    @issues = IssuesService.new.load_all_issues
  end

  def create
    success = IssuesService.new.new_issue(issue_params)

    if success
      render json: {response: 'Issue criada!' }, status: :created
    else
      render json: {response: 'Não foi possível criar a issue!' }, status: :unprocessable_entity
    end
  end

  def search_issue
    @issues = IssuesService.new.search_by_github_issue_id(params[:issue_id])
  end

  private

  def issue_params
    permitted_params = params['issue']
    permitted_params.merge('action' => params['action'])
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/issues_helper.rb
module IssuesHelper
end

app/views/issues/_issues_list.html.erb
<table class="table">
  <thead class="thead-dark">
  <tr>
    <th>Issue id on Github</th>
    <th>Action</th>
    <th>Title</th>
    <th>Created by User</th>
    <th>State</th>
    <th>Url</th>
  </tr>
  </thead>

  <tbody>
  <% if issues.present? %>
    <% issues.each do |issue| %>
      <tr>
        <td style="width: 15%"><%= issue.issue_id %></td>
        <td style="width: 10%"><%= issue.action %></td>
        <td style="width: 40%"><%= issue.title %></td>
        <td style="width: 15%"><%= issue.user %></td>
        <td style="width: 10%"><%= issue.state %></td>
        <td style="width: 10%">
          <a href="<%= issue.url %>" target="_blank">
            Click Here
          </a>
        </td>
      </tr>
    <% end %>
  <% else %>
    <tr>
      <td>
        <h3>Could not find any issue</h3>
      </td>
    </tr>
  <% end %>
  </tbody>
</table>

app/views/issues/index.html.erb
<div class="py-5">
  <h1 class="bd-title my-4">Issues</h1>

  <%= render partial: 'issues_list', locals: { issues: @issues } %>

</div>

app/views/issues/search_issue.html.erb
<div class="py-5">
  <h1 class="bd-title my-4">Issues you searched for</h1>

  <%= render partial: 'issues_list', locals: { issues: @issues } %>

</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>OctoEvents</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <header>
      <!-- Fixed navbar -->
      <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="<%= index_url %>">Octo Events</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav mr-auto"></ul>

          <%= form_tag search_issue_url, method: 'get', class: "form-inline mt-2 mt-md-0" do %>
            <input class="form-control mr-sm-2" type="text" placeholder="Search" name="issue_id" placeholder="E.g. 108">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
          <% end %>
        </div>
      </nav>
    </header>

    <main role="main" class="container-fluid">
      <%= yield %>
    </main>

  </body>
</html>